:root {
    --background: #334155;
    --color: #ffffff;
    --primary-color: #0f3460;
}

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    box-sizing: border-box;
    font-family: 'Trebuchet MS', sans-serif;
    background: var(--background);
    color: var(--color);
    letter-spacing: 1px;
    transition: background 0.2s ease;
}

a {
    text-decoration: none;
    color: black;
}

h1 {
    font-size: 2.5rem;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.login-container {
    position: relative;
    width: 22.2rem;
}

.logo-container {
    position: absolute;
    top: -50px;
    text-align: center;
    z-index: 1;
    width: 22.2rem;
}

.slogan-container {
    position: relative;
    text-align: center;
    color: #bbdc59;
    z-index: 2;
    margin: 30px 25px;
}

.form-container {
    border: 1px solid hsla(0, 0%, 65%, 0.158);
    background: white;
    box-shadow: 0 0 36px 1px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    backdrop-filter: blur(20px);
    z-index: 99;
    padding: 2rem;
}

/* Gestion du champ password avec l'œil */
.password-wrapper {
    position: relative;
}

.toggle-icon {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #919191;
    z-index: 100;
}

.login-container form input {
    display: block;
    padding: 14.5px;
    width: 100%;
    margin: 2rem 0;
    outline: none;
    background-color: #9191911f;
    border: none;
    border-radius: 5px;
    font-weight: 500;
    letter-spacing: 0.8px;
    font-size: 15px;
}

.login-container form input:focus {
    box-shadow: 0 0 16px 1px rgba(0, 0, 0, 0.2);
    animation: wobble 0.3s ease-in;
}

.login-container form button {
    color: var(--color);
    display: block;
    padding: 13px;
    border-radius: 5px;
    outline: none;
    font-size: 18px;
    letter-spacing: 1.5px;
    font-weight: bold;
    width: 100%;
    cursor: pointer;
    margin-bottom: 2rem;
    transition: all 0.1s ease-in-out;
    border: none;
}

.login-container form button:hover {
    box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.15);
    transform: scale(1.02);
}

.welcome {
    display: flex;
    color: black;
    justify-content: center;
}

.button-submit {
    background : #bbdc59;
}

.theme-btn-container {
    position: absolute;
    left: 0;
    bottom: 2rem;
}

@keyframes wobble {
    0%, 75% { transform: scale(1.025); }
    25%, 100% { transform: scale(1); }
}